#
# spec file for package jzintv
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jzintv
Version:        1.0beta4
Release:        1.16
Summary:        Intellivision Emulator
License:        GPL-2.0+
Group:          System/Emulators/Other
Url:            http://spatula-city.org/~im14u2c/intv
Source0:        http://spatula-city.org/~im14u2c/intv/dl/%{name}-1.0-beta4-src.zip
Source1:        http://spatula-city.org/~im14u2c/intv/dl/%{name}-1.0-beta4-sdk1600.zip
BuildRequires:  SDL-devel
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Comes with a number of development tools and extensive documentation.
Needs ROM images to work, see %{_docdir}/%{name} for details.

%prep
%setup -q -b 1 -n %{name}-1.0-beta4

%build
mkdir bin rom
cd src
make %{?_smp_mflags} -f Makefile.linux OPT_FLAGS="%{optflags}" EXTRA="-lm"

%install
install -d -m 755 %{buildroot}%{_prefix}/bin
install -m 755 bin/* %{buildroot}%{_prefix}/bin
dos2unix doc/* doc/*/* doc/*/*/* examples/* examples/*/* examples/*/*/* src/*.txt
rm doc/tech/.exrc

%files
%defattr(-,root,root)
%doc src/*.txt doc/* examples rom
%{_bindir}/*

%changelog
* Fri Nov 25 2016 aloisio@gmx.com
- Update to 1.0-beta4
- Dropped jzintv-1.0-beta3.dif (now integrated upstrem)
- Added jzintv-rpmlintrc
- Fixed build
- Spec cleanup
